Subscriptions
A subscription represents a pipeline's subscription to a extension.
List all subscriptions
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptionsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListSubscriptionsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Create a new subscription
POST
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptionsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Request body (required): CreateSubscriptionRequest
Responses
| Status | Body | Description |
|---|---|---|
201 | CreateSubscriptionResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Get subscription by id
GET
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions/{extension_id}/{subscription_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
extension_id | string | yes | The unique identifier for the target extension. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
subscription_id | string | yes | The unique identifier for the target subscription. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetSubscriptionResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Update a subscription's state
PATCH
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions/{extension_id}/{subscription_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
extension_id | string | yes | The unique identifier for the target extension. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
subscription_id | string | yes | The unique identifier for the target subscription. |
Request body (required): UpdateSubscriptionRequest
Responses
Delete subscription by id
DELETE
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/subscriptions/{extension_id}/{subscription_id}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
extension_id | string | yes | The unique identifier for the target extension. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
subscription_id | string | yes | The unique identifier for the target subscription. |
Responses